/*
 *  config.h
 *  mod_musicindex
 *
 *  $Id: config.h 504 2005-11-16 13:48:43Z boudinr $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003-2005 Regis BOUDIN
 *  Copyright (c) 2003-2004 Thibaut VARENE
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1, or (at your option)
 *  any later version.
 *
 */

#ifndef CONFIG_H
#define CONFIG_H

#include "mod_musicindex.h"

#define CONF_COOKIE_LIFE 300	/**< Default lifetime for the cookie in seconds */
#define CONF_RSS_ITEMS	 20	/**< Default number of items to be displayed in a RSS feed */

void *create_musicindex_config(apr_pool_t *p, char *dummy);

void *merge_musicindex_configs(apr_pool_t *p, void *basev, void *addv);

extern const command_rec musicindex_cmds[];

#endif	/* CONFIG_H */
